%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-marshalling
Version:          1.3.13
Release:          7%{?dist}
Summary:          JBoss Marshalling
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/jbossmarshalling

# git clone git://github.com/jboss-remoting/jboss-marshalling.git
# cd jboss-marshalling/ && git archive --format=tar --prefix=jboss-marshalling-1.3.13.GA/ 1.3.13.GA | xz > jboss-marshalling-1.3.13.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz
Patch0:           %{name}-%{namedversion}-pom.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    maven-local
BuildRequires:    jboss-parent
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    jboss-modules
BuildRequires:    qdox
BuildRequires:    jdepend
BuildRequires:    graphviz
%if 0%{?fedora}
BuildRequires:    apiviz
%endif

Requires:         jboss-modules
Requires:         jpackage-utils
Requires:         java

%description
This package contains JBoss Marshalling

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

# Conditionally remove dependency on apiviz
if [ %{?rhel} ]; then
    %pom_remove_plugin :maven-javadoc-plugin
fi

%build
# Caused by: java.lang.ClassNotFoundException: com.thoughtworks.qdox.model.AbstractInheritableJavaEntity
# But the clss exists in qdox WTF?
mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

for m in river serial; do
  cp -p ${m}/target/%{name}-${m}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-${m}.jar
  install -pm 644 ${m}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-${m}.pom
  %add_maven_depmap JPP-%{name}-${m}.pom %{name}-${m}.jar
done

# JARS
cp -p api/target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POMS
install -pm 644 api/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-parent.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_maven_depmap JPP-%{name}-parent.pom

# JAVADOC
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc COPYING.txt

%files javadoc
%{_javadocdir}/%{name}
%doc COPYING.txt

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.3.13-6
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Oct 15 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.3.13-5
- Conditionally remove dependency on apiviz

* Mon Oct 15 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.3.13-4
- Remove unneeded BR: gdata-java, maven-surefire-provider-testng, testng

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.3.13-2
- Added missing BR

* Sat Apr 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.3.13-1
- Upstream release 1.3.13.GA

* Thu Feb 23 2012 Marek Goldmann <mgoldman@redhat.com> 1.3.9-2
- Relocated jars to _javadir

* Thu Feb 23 2012 Marek Goldmann <mgoldman@redhat.com> 1.3.9-1
- Upstream release 1.3.9.GA
- Changed java devel build requirement to 6 or above, RHBZ#796464

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Marek Goldmann <mgoldman@redhat.com> 1.3.4-1
- Upstream release 1.3.4.GA

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 1.3.0-2
- Cleaned spec file

* Mon Aug 01 2011 Marek Goldmann <mgoldman@redhat.com> 1.3.0-1
- Initial packaging

